# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit cmake

DESCRIPTION="Video metadata scraper"
SRC_URI="https://github.com/Komet/MediaElch/archive/v${PV}.tar.gz"

HOMEPAGE="http://www.mediaelch.de/"

SLOT="0"
LICENSE="GPL-3"
KEYWORDS="~amd64 ~x86"

DEPEND="dev-qt/qtsql:5
		dev-qt/qtscript:5
		dev-qt/qtquickcontrols:5
		dev-qt/qtxmlpatterns:5
		dev-qt/qtcore:5
		dev-qt/qtgui:5
		media-video/mediainfo
		media-libs/libzen
		media-libs/phonon
		dev-qt/qtconcurrent:5
		dev-qt/qtmultimedia:5[widgets]
		dev-qt/qtscript:5"

S="${WORKDIR}/MediaElch-${PV}"

src_configure() {
	local mycmakeargs=(
		"-DUSE_EXTERN_QUAZIP=On"
		)
	cmake_src_configure
}
